Bug 1735015 - cjdns: FTBFS in Fedora rawhide/f31
Summary: cjdns: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cjdns
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1735361
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 17:58 UTC by Fedora Release Engineering
Modified: 2019-09-06 12:58 UTC (History)
1 user (show)

Fixed In Version: cjdns-20.3-8.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-06 12:58:11 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2019-07-31 17:58 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 17:58 UTC, Fedora Release Engineering
no flags Details
state.log (609 bytes, text/plain)
2019-07-31 17:58 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 17:58:33 UTC
cjdns failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36632362


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix cjdns at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
cjdns will be orphaned. Before branching of Fedora 32,
cjdns will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 17:58:36 UTC
Created attachment 1595582 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-07-31 17:58:39 UTC
Created attachment 1595583 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 17:58:40 UTC
Created attachment 1595584 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 17:00:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:50:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Stuart D Gathman 2019-08-13 22:22:07 UTC
Since there is no response from bz#1735361, I added a temporary work around of copying the ronn script to the build directory and patching it there.  :->  It has been building, so I guess I'll close it.

Comment 7 Stuart D Gathman 2019-08-27 02:57:10 UTC
Fixed SPEC to remove patched copy of ronn.  I may need to embed it if ronn owner doesn't apply patch.

Comment 8 Fedora Update System 2019-08-27 02:58:14 UTC
FEDORA-2019-0363d3ac24 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0363d3ac24

Comment 9 Fedora Update System 2019-08-30 00:24:59 UTC
cjdns-20.3-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0363d3ac24

Comment 10 Fedora Update System 2019-09-06 12:58:11 UTC
cjdns-20.3-8.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.